Loading...
Searching...
No Matches
value.hpp File Reference

## Description

Provides bsoncxx::v_noabi::document::value.

Includes
  - bsoncxx/v1/document/value.hpp

Go to the source code of this file.

## Classes

class | bsoncxx::v_noabi::document::value
| A read-only BSON document that owns its underlying buffer. More...

## Namespaces

namespace | bsoncxx
| The top-level namespace within which all bsoncxx library entities are declared.
namespace | bsoncxx::document
| Declares entities representing a BSON document.
namespace | bsoncxx::v_noabi
| Declares entities whose ABI stability is NOT guaranteed.
namespace | bsoncxx::v_noabi::document
| Declares entities representing a BSON document.

## Functions

v_noabi::document::value | bsoncxx::v_noabi::from_v1 (v1::document::value &&v)
| Convert from the bsoncxx::v1 equivalent of v.
v_noabi::document::value | bsoncxx::v_noabi::from_v1 (v1::document::value const &v)
| Convert from the bsoncxx::v1 equivalent of v.
bool | bsoncxx::document::operator== (element const &lhs, v_noabi::types::bson_value::view const &rhs)
| Convenience methods to compare for equality against a bson_value.
v1::document::value | bsoncxx::v_noabi::to_v1 (v_noabi::document::value v)
| Convert to the bsoncxx::v1 equivalent of v.
bool | bsoncxx::v_noabi::document::operator!= (value const &lhs, value const &rhs)
| Compares two document values for (in)-equality.
bool | bsoncxx::v_noabi::document::operator== (value const &lhs, value const &rhs)
| Compares two document values for (in)-equality.